List scans
curl --request GET \
--url https://app.cysmiq.com/api/v1/{tenant_slug}/scans \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.cysmiq.com/api/v1/{tenant_slug}/scans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cysmiq.com/api/v1/{tenant_slug}/scans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"repository": {
"id": "repo_01hxyz",
"full_name": "acme/widgets"
},
"reference": {
"ref": "main",
"sha": "a1b2c3d4"
},
"filters": {
"sha": "a1b2c3d4",
"status": [
"completed"
]
},
"summary": {
"total": 1,
"by_status": {
"completed": 1
}
},
"items": [
{
"id": "scan_01hxyz",
"status": "completed",
"result": {
"source": "pr_evaluation",
"status": "failure",
"conclusion": "failure",
"label": "PR failed",
"summary": "2 introduced/reopened actionable findings",
"context": "Cysmiq PR Assessment",
"evaluation_id": "pre_01hxyz",
"evaluation_key": "repo_01hxyz:refs/pull/12/head:a1b2c3d4",
"target_id": "pret_01hxyz",
"result_version": 3,
"status_reason": null,
"counts": {
"introduced": 2,
"reopened": 0,
"introduced_actionable": 2,
"fixed": 1,
"persisted": 4
}
},
"ref": "main",
"sha": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0",
"started_at": "2026-01-14T17:40:00Z",
"finished_at": "2026-01-14T17:45:00Z"
}
],
"next_cursor": null
}Scans
List scans
Returns scans for a repository/ref with an optional commit SHA filter. Use this to check whether a scan for a given commit has finished and what its status is.
GET
/
{tenant_slug}
/
scans
List scans
curl --request GET \
--url https://app.cysmiq.com/api/v1/{tenant_slug}/scans \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.cysmiq.com/api/v1/{tenant_slug}/scans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cysmiq.com/api/v1/{tenant_slug}/scans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"repository": {
"id": "repo_01hxyz",
"full_name": "acme/widgets"
},
"reference": {
"ref": "main",
"sha": "a1b2c3d4"
},
"filters": {
"sha": "a1b2c3d4",
"status": [
"completed"
]
},
"summary": {
"total": 1,
"by_status": {
"completed": 1
}
},
"items": [
{
"id": "scan_01hxyz",
"status": "completed",
"result": {
"source": "pr_evaluation",
"status": "failure",
"conclusion": "failure",
"label": "PR failed",
"summary": "2 introduced/reopened actionable findings",
"context": "Cysmiq PR Assessment",
"evaluation_id": "pre_01hxyz",
"evaluation_key": "repo_01hxyz:refs/pull/12/head:a1b2c3d4",
"target_id": "pret_01hxyz",
"result_version": 3,
"status_reason": null,
"counts": {
"introduced": 2,
"reopened": 0,
"introduced_actionable": 2,
"fixed": 1,
"persisted": 4
}
},
"ref": "main",
"sha": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0",
"started_at": "2026-01-14T17:40:00Z",
"finished_at": "2026-01-14T17:45:00Z"
}
],
"next_cursor": null
}Authorizations
Use a Cysmiq API token in the Authorization header: Bearer {token}.
Path Parameters
Workspace slug for the tenant context.
Query Parameters
Maximum string length:
255Maximum string length:
255Pattern:
^[0-9a-fA-F]{7,40}$Maximum string length:
255Required range:
1 <= x <= 200Was this page helpful?